Subject: Re: [sfc] Metadata and inserted packets,

From: Nicolas BOUTHORS <[email-masked]>
Date: Fri, 3 Apr 2015 08:27:58 +0000

I think it is a good idea to revisit Metadata. Personally I am concerned with 2 points.

1)      The max size of each optional metadata field that can be transported (128 bytes for now)

2)      How to "standardize" metadata.

Point 1) can be addressed in different ways. The format of of Variable length
Context Headers has a 5 bit length, which is quite limiting for some applications.

On Point 2) A large set TLV Class will have to be defined, to allow for interoperable exchange of Metadata
Over SFC. This has already been address in IETF by the IPFIX standard.  I suggest that we facilitate/enable the use of IPFIX messages as optional metadata fields. In particular of offline congruent metadata messages. IPFIX is a well deployed
IETF standard, with a large number of TLV Class defines globally and per enterprise.

Allowing IPFIX based metadata field would somewhat address the points  raised by David Dolson in his mail.

Nicolas

>> Allow me to put forward some propositions for you to knock down:
>>
>> 1.  Meta-data representing a notion of network separation (e.g.,
>> tenant) must be standardized as such so that traffic does not cross
>> networks.
>>
>> 2.  In general, meta-data must not be more specific than a transport
>> session (e.g., TCP or UDP connection). This allows injection of
>> metadata by cloning exemplar packets of the same flow.
>>
>> 3.  If meta-data is more specific than a transport session, all SFs
>> that might encounter such meta-data must be aware of the semantics
>> (could be configured or hard-coded)
>>
>>
>>
>> David Dolson

This message and any attachments (the "message") are confidential, intended solely for the addressees. If you are not the intended recipient, please notify the sender immediately by e-mail and delete this message from your system. In this case, you are not authorized to use, copy this message and/or disclose the content to any other person. E-mails are susceptible to alteration. Neither Qosmos nor any of its subsidiaries or affiliates shall be liable for the message if altered, changed or falsified.

Ce message et toutes ses pi?ces jointes (ci-apr?s le "message")sont confidentiels et ?tablis ? l'intention exclusive de ses destinataires. Si vous avez re?u ce message par erreur, merci d'en informer imm?diatement son ?metteur par courrier ?lectronique et d'effacer ce message de votre syst?me. Dans cette hypoth?se, vous n'?tes pas autoris? ? utiliser, copier ce message et/ou en divulguer le contenu ? un tiers. Tout message ?lectronique est susceptible d'alt?ration. Qosmos et ses filiales d?clinent toute responsabilit? au titre de ce message s'il a ?t? alt?r?, d?form? ou falsifi?.